#!/bin/bash

set -e -u

PYTEST_OPTIONS="\
--ignore=tests/appsetup/testfiles/conftest.py \
--ignore=tests/appsetup/test_make_project.py \
--ignore=tests/test_command.py \
--ignore=tests/test_egg_finder.py \
--ignore=tests/test_template_introspect.py \
"

cp -a setup.cfg paste tests "${AUTOPKGTEST_TMP}"

for py3vers in $(py3versions -s); do
    echo
    echo "***************************"
    echo "*** Testing with ${py3vers}"
    echo "***************************"
    echo
    cd ${AUTOPKGTEST_TMP} && \
        echo -e "Content of current working folder:\n" && \
        ls -la && \
        echo -e "Running tests...\n" && \
        eval PYTHONPATH=. "${py3vers}" -m pytest -sv tests "${PYTEST_OPTIONS}" && \
        rm -rf .pytest_cache || exit 1
done

echo

exit 0
